Skip to main content
GET
/
v1
/
ramp
/
withdraw
/
{order_id}
Retrieve Withdraw
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/ramp/withdraw/{order_id} \
  --header 'x-auth-token: <api-key>'
{
  "code": 200,
  "message": "Success",
  "data": {
    "order_id": "f75fdee5-0cc1-4b52-818e-497dd376cced",
    "short_order_id": "WD260124-N1PAAIXX",
    "order_status": "Pending",
    "order_type": "Withdraw",
    "currency": "USDC",
    "network": "ETH",
    "amount": "100",
    "withdraw_address": "0x0993446fBB19f4e828768515eF7A9408B5F1A000",
    "network_fee": "0.66",
    "processing_fee": "0",
    "actual_amount": "99.34",
    "reason": "test",
    "create_time": "2026-01-24 11:41:37 +08:00",
    "txid": "<string>",
    "completed_time": "<string>"
  }
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

order_id
string
required

Order ID (long)/(short)

Response

Successfully retrieved withdrawal

code
integer
required
Example:

200

message
string
required
Example:

"Success"

data
object
required

Response data for Retrieve Withdraw (4.5.3)